Bug 1278208 - Pure driver sometimes fails to terminate connection to host
Pure driver sometimes fails to terminate connection to host
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 7.0 (Kilo)
Assigned To: Eric Harney
nlevinki
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 18:04 EST by openstack-dev
Modified: 2016-04-26 09:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 06:18:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1472710 None None None Never
OpenStack gerrit 228219 None None None Never

  None (edit)
Description openstack-dev 2015-11-04 18:04:57 EST
Description of problem:

https://bugs.launchpad.net/cinder/+bug/1472710

Sometimes we can get into a state where a Purity host is deleted before we try and disconnect a volume from it.

There is a fix in Cinder that has been backported to stable/kilo, https://review.openstack.org/#/c/228219/ which will need to be included in OSP 7
Comment 2 Sergey Gotliv 2015-11-10 06:18:30 EST
This patch is merged in to the stable kilo upstream https://review.openstack.org/#/c/228219/ so we'll get the fix in the next async for free.

Note You need to log in before you can comment on or make changes to this bug.